const Path = require("./Path");
const { types: t } = require("@babel/core");

class CallExpression extends Path {
    constructor(path) {
        super(path);
    }

    getObject() {
        if (t.isMemberExpression(this.node.callee)) {
            return this.node.callee.object
        }
    }

    getName() {
        if (t.isIdentifier(this.node.callee)) {
            return this.node.callee.name;
        } else if (t.isMemberExpression(this.node.callee)) {
            return this.node.callee.property.name;
        }
    }

    getArguments() {
        return this.node.arguments;
    }
}

module.exports = CallExpression;
